import * as iam from '@aws-cdk/aws-iam';
import * as cdk from '@aws-cdk/core';
import { Network } from './network';
/**
 * @experimental
 */
export interface IamRolesProps {
    /**
     * @experimental
     */
    readonly s3InstallBucketName: string;
    /**
     * @experimental
     */
    readonly network: Network;
}
/**
 * (experimental) Create all required IAM roles.
 *
 * @experimental
 */
export declare class IamRoles extends cdk.Construct {
    /**
     * @experimental
     */
    readonly computeNodeIamRole: iam.IRole;
    /**
     * @experimental
     */
    readonly schedulerIAMRole: iam.IRole;
    /**
     * @experimental
     */
    readonly computeNodeInstanceProfileName: string;
    /**
     * @experimental
     */
    readonly schedulerIamInstanceProfileName: string;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: IamRolesProps);
}
